# Uses of Interface
org.eclipse.birt.chart.computation.IChartComputation

Packages that use IChartComputation
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of IChartComputation in org.eclipse.birt.chart.computation

Classes in org.eclipse.birt.chart.computation that implement IChartComputation
Modifier and Type
Class
Description
`class`
`BIRTChartComputation`
Methods in org.eclipse.birt.chart.computation that return IChartComputation
Modifier and Type
Method
Description
`IChartComputation`
ChartComputationFactory.`createChartComputation()`
`IChartComputation`
IChartComputationFactory.`createChartComputation()`
`IChartComputation`
PlotComputation.`getChartComputation()`
Methods in org.eclipse.birt.chart.computation with parameters of type IChartComputation
Modifier and Type
Method
Description
`static EllipsisHelper.ITester`
EllipsisHelper.`createSimpleTester(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la)`
modify the text of la to fit the limit size.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, EnumSet<LabelLimiter.Option> options)`
modify the text of la to fit the limit size.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.
`static EllipsisHelper`
EllipsisHelper.`simpleInstance(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`

## Uses of IChartComputation in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device that return IChartComputation
Modifier and Type
Method
Description
`IChartComputation`
DeviceAdapter.`getChartComputation()`
`IChartComputation`
IDeviceRenderer.`getChartComputation()`
Returns the chart computation.
Methods in org.eclipse.birt.chart.device with parameters of type IChartComputation
Modifier and Type
Method
Description
`void`
DeviceAdapter.`setChartComputation(IChartComputation cComp)`
`void`
IDeviceRenderer.`setChartComputation(IChartComputation cComp)`
Sets the chart computation.

## Uses of IChartComputation in org.eclipse.birt.chart.factory

Fields in org.eclipse.birt.chart.factory with type parameters of type IChartComputation
Modifier and Type
Field
Description
`static final RunTimeContext.StateKey<IChartComputation>`
RunTimeContext.StateKey.`CHART_COMPUTATION_KEY`
Key to reference Chart Computation.